Quassel IRC - Feature #1122

Reworking of the code for notifications, highlights and ignores
12/10/2011 09:37 PM - rikai

Status: Resolved Start date: 12/10/2011
Priority: Normal Due date:

Assignee: % Done: 100%
Category: General / Unspecified Estimated time: 0.00 hour
Target version: 0.13.0

0S: Any

Description

After a small conversation with Tucos on the irc, it was pointed out that notifications, Highlights and Ignore are all implemented
separately despite using the same underlying stuff.

I'd like to propose a rework the quassel notification system to unify Notifications/Highlight/Ignore on the back end to reduce code
duplication/overhead and make it easier to implement new features in a consistent manner.

History

#1 - 09/14/2018 02:58 AM - genius3000
- Status changed from New to Resolved
- Target version set to 0.13.0

- % Done changed from 0 to 100

As of 0.13 (as of this comment, -rc1 is out), highlights are being transitioned to core-side (called remote highlights) and include highlight ignore rules
as well. Another improvement is the unifying (maybe not 100% but quite a bit) of the text matching code for highlights and ignores along with regex
caching to improve the speed of message checking and buffer switching significantly.

Reference to the unification/caching PR: https:/github.com/quassel/quassel/pull/415

#2 - 09/15/2018 12:59 AM - digitalcircuit

There's also some details on the Quassel wiki as to how the new pattern matching works:
https://bugs.quassel-irc.org/projects/quassel-irc/wiki/Pattern_matching
